Bug 194 - for 2.1 kernels /etc/rc.d/init.d/halt should do halt -p
for 2.1 kernels /etc/rc.d/init.d/halt should do halt -p
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1998-11-25 05:12 EST by Marc MERLIN
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1998-11-25 11:26:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc MERLIN 1998-11-25 05:12:32 EST
--- halt.redhat Fri Oct  9 12:16:20
1998
+++ halt        Fri Oct  9 12:16:50
1998
@@ -15,7 +15,7
@@
 case "$0"
in

*halt)
        message="The system is
halted"
-
command="halt"
+       command="halt
-p"

;;

*reboot)
        message="Please stand by while rebooting the
system..."
Comment 1 Bill Nottingham 1998-11-25 11:26:59 EST
This only has an effect on APM enabled kernels and we don't
ship APM kernels. If we start to ship them, we might consider
it.This only has an effect on APM enabled kernels and we don't
ship APM kernels. If we start to ship them, we might consider
it.
Comment 2 Aleksey Nogin 1998-12-19 16:09:59 EST
I've just installed RH on a notebook and reading this bug report
before probably saved me from spending a lot of time trying to
understand why it does not power down on halt. AFAIK, there is nothing
wrong with having this -p even when there is no APM support in the
kernel, so why not add it?

Note You need to log in before you can comment on or make changes to this bug.